Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
Class ManagedLinkedList<T>

    java.lang.Object
      org.codehaus.groovy.util.ManagedLinkedList<T>

    public class ManagedLinkedList<T>

extends Object

This class provides a very simple linked list of memory managed elements. This class does not support concurrent modifications nor will it check for them. This class is also not thread safe.

Since:
  1.6
Author:
  Jochen Theodorou

Constructor Summary
`ManagedLinkedList(ReferenceBundle bundle)`

Method Summary
`void` | `add(T value)` adds a value to the list
`boolean` | `isEmpty()` returns if the list is empty
`Iterator<T>` | `iterator()` returns an iterator, which allows the removal of elements.
`T[]` | `toArray(T[] tArray)` this will return an array of non null elements of this list

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagedLinkedList

    public ManagedLinkedList(ReferenceBundle bundle)

Method Detail

### add

    public void add(T value)

  adds a value to the list

  Parameters:
    `value` - the value

### iterator

    public Iterator<T> iterator()

  returns an iterator, which allows the removal of elements. The next() method of the iterator may return null values. This is especially the case if the value was removed

  Returns:
    the Iterator

### toArray

    public T[] toArray(T[] tArray)

  this will return an array of non null elements of this list

  Returns:
    the array

### isEmpty

    public boolean isEmpty()

  returns if the list is empty

  Returns:
    true if the list is empty

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD